Security Enhanced Linux Reference Policy

# Layer: services

## Module: bluetooth

Interfaces

### Description:

Bluetooth tools and system services.

### Interfaces:

bluetooth_admin( domain , role )

##### Summary

All of the rules required to administrate an bluetooth environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the bluetooth domain.

bluetooth_dbus_chat( domain )

##### Summary

Send and receive messages from bluetooth over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_domtrans( domain )

##### Summary

Execute bluetooth in the bluetooth domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

bluetooth_domtrans_helper( domain )

##### Summary

Execute bluetooth_helper in the bluetooth_helper domain. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

bluetooth_dontaudit_read_helper_state( domain )

##### Summary

Read bluetooth helper state files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_read_config( domain )

##### Summary

Read bluetooth daemon configuration.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

bluetooth_role( role , domain )

##### Summary

Role access for bluetooth

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access
domain | User domain for the role

bluetooth_run_helper( domain , role , terminal )

##### Summary

Execute bluetooth_helper in the bluetooth_helper domain, and allow the specified role the bluetooth_helper domain. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.
role | The role to be allowed the bluetooth_helper domain.
terminal | The type of the terminal allow the bluetooth_helper domain to use.

Return